# $Revision: 1.41 $, $Date: 2010/11/12 23:37:55 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Sync
Summary:	File::Sync - Perl access to fsync() and sync() function calls
Summary(pl.UTF-8):	File::Sync - dostęp z Perla do funkcji fsync() i sync()
Name:		perl-File-Sync
Version:	0.09
Release:	11
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4f5aca0ccff4bf28ca1d039e5ed01fa2
URL:		http://search.cpan.org/dist/File-Sync/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Sync module provides Perl access to fsync() and sync() function
calls.

%description -l pl.UTF-8
Moduł File::Sync umożliwia dostęp do funkcji fsync() i sync() z
poziomu Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/File/Sync.pm
%dir %{perl_vendorarch}/auto/File/Sync
%{perl_vendorarch}/auto/File/Sync/autosplit.ix
%{perl_vendorarch}/auto/File/Sync/Sync.bs
%attr(755,root,root) %{perl_vendorarch}/auto/File/Sync/Sync.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Sync.spec,v $
Revision 1.41  2010/11/12 23:37:55  pawelz
- release 11

Revision 1.40  2010/06/06 08:36:19  arekm
- release 10

Revision 1.39  2009/03/14 11:47:10  hawk
- release 9

Revision 1.38  2008/03/24 02:09:12  qboosh
- generic URL

Revision 1.37  2008-02-10 12:09:51  arekm
- rel 8

Revision 1.36  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.35  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.33  2004/11/03 22:30:22  paladine
- formatting

Revision 1.32  2004/05/07 01:24:28  ankry
- rel. 7

Revision 1.31  2004/05/06 18:09:36  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/24 23:37:53  ankry
- tests really added

Revision 1.29  2004/04/20 13:59:20  ankry
- summary/description/license fixes

Revision 1.28  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 19:09:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:32:27  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/11/26 00:13:59  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.19  2002/07/10 08:47:19  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:14:41  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:26:26  depesz
adapterized

Revision 1.13  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:09:03  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/25 20:03:45  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/04 00:17:53  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:44:57  pius
- updated to 0.09

Revision 1.2  1999/11/05 16:52:51  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
